---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: neon-vortex-build
  namespace: flux-system
spec:
  interval: 5m
  path: ./
  prune: false
  sourceRef:
    kind: GitRepository
    name: neon-vortex
  targetNamespace: default
  patches:
    - patch: |
        apiVersion: batch/v1
        kind: Job
        metadata:
          name: neon-vortex-build
          namespace: default
        spec:
          template:
            metadata:
              name: neon-vortex-build
      target:
        kind: Job
        name: neon-vortex-build
  postBuild:
    substitute:
      GIT_COMMIT: "unknown"
  healthChecks:
    - apiVersion: batch/v1
      kind: Job
      name: neon-vortex-build
      namespace: default
